DOMSelection
Class defined in ui/DOMSelection.js#22
new DOMSelection()
Constructor defined in ui/DOMSelection.js#24
this.getSelection(options)
Method defined in ui/DOMSelection.js#37

Create a model selection by mapping the current DOM selection to model coordinates.

Parameters

options

object

- `direction`: `left` or `right`; a hint for disambiguations, used by Surface during cursor navigation.

Returns

model/Selection |

this.setSelection(sel)
Method defined in ui/DOMSelection.js#62

Transfer a given model selection into the DOM.

Parameters

sel | Selection |